Home of the Squeezebox™ & Transporter® network music players.
Page 3 of 47 FirstFirst 1234513 ... LastLast
Results 21 to 30 of 464
  1. #21
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    19,781

    For the brave only: the Spotty Spotifyimplementation

    > ldd (Debian EGLIBC 2.13-38+rpi2+deb7u11) 2.13

    Argh...

    > Is the gist of your previous post Michael that I need to be running a
    > version of raspbian with a later version of GLIBC. Would it help if I
    > try reinstalling a version of Max2play with Jessie?


    If there was a more recent version of Max2Play, then yes, I'd ask you to
    give it a try. I will try on my end as well. Thanks for the testing!
    --

    Michael

  2. #22
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    19,781

    For the brave only: the Spotty Spotifyimplementation

    > If there was a more recent version of Max2Play, then yes, I'd ask you to
    > give it a try. I will try on my end as well. Thanks for the testing!


    FWIW: just downloaded the latest max2play version (Jessie based), and
    Spotty is working just fine.
    --

    Michael

  3. #23
    Quote Originally Posted by mherger View Post
    > root@squeezeplug:~# ldd --version
    > ldd (Debian EGLIBC 2.13-38+rpi2+deb7u3) 2.13


    > root@squeezeplug:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/armhf-linux# ./spotty
    > ./spotty: /lib/arm-linux-gnueabihf/libc.so.6: version `GLIBC_2.18' not found (required by ./spotty)
    > ./spotty: /lib/arm-linux-gnueabihf/libc.so.6: version `GLIBC_2.17' not found (required by ./spotty)


    Yeah, thought that this would be the problem :-(. And I have no idea how
    to build for an older glibc...

    --

    Michael
    I've now updated the OS and reinstalled LMS from scratch. Interestingly, it still won't start. I'm still getting the message:
    Code:
    There has been a problem running the Spotty helper application. Most likely your operating system and/or platform is not supported. Please report the following details to me: Debian / armv7l-linux
    however there has been a step forward, I can start Spotty from the command line
    Code:
    pi@max2play:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux $ ./spotty
    spotty v0.5.0
    error: Required option 'name' missing.
    Usage: ./spotty [options]
    
    Options:
        -c, --cache CACHE   Path to a directory where files will be cached.
        -n, --name NAME     Device name
            --onstart PROGRAM
                            Run PROGRAM when playback is about to begin.
            --onstop PROGRAM
                            Run PROGRAM when playback has ended.
            --onchange PROGRAM
                            Run PROGRAM when playback changes (new track, seeking
                            etc.).
            --single-track ID
                            Play a single track ID and exit.
            --start-position STARTPOSITION
                            Position (in ms) where playback should be started.
                            Only valid with the --single-track option.
        -u, --username USERNAME
                            Username to sign in with
        -p, --password PASSWORD
                            Password
        -a, --authenticate  Authenticate given username and password. Make sure
                            you define a cache folder to store credentials.
            --disable-discovery
                            Disable discovery mode
        -t, --get-token     Get oauth token to be used with the web API etc.
            --client-id CLIENT_ID
                            A Spotify client_id to be used to get the oauth token.
                            Required with the --get-token request.
            --scope SCOPE   The scopes you want to have access to with the oauth
                            token.
        -x, --check         Run quick internal check
    ldd --version :
    Code:
    pi@max2play:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux $ ldd --version
    ldd (Debian GLIBC 2.19-18+deb8u6) 2.19
    Copyright (C) 2014 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    Written by Roland McGrath and Ulrich Drepper.
    uname -a :
    Code:
    pi@max2play:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux $ uname -a
    Linux max2play 4.4.41+ #942 Mon Jan 9 14:52:21 GMT 2017 armv6l GNU/Linux
    Let me know you would like me to investigate anything

  4. #24
    Senior Member
    Join Date
    Jan 2011
    Location
    Staffordshire. UK
    Posts
    1,993
    Quote Originally Posted by verypsb View Post
    A few questions though...

    I was under the impression that a Spotify Connect implementation would be visible on the official Spotify mobile/desktop app as a selectable device, and that some Spotify Connect features like "Your Daily Playlist" would be available.
    However, I think I don't understand how the Spotify Connect API works. Both of my assumptions seem to be untrue... :-)

    Best regards,
    Dennis.
    I too, thought as Dennis, but it's a bit different with this implementation

    Here is my Desktop spotify

    Name:  1.png
Views: 1194
Size:  40.2 KB

    If I connect to MoOde, I get this

    Name:  2.png
Views: 1196
Size:  54.8 KB

    and the LMS connection gives me this

    Name:  3.png
Views: 1198
Size:  49.1 KB

    However both the Radio and Boom are working independently

    Name:  4.png
Views: 1189
Size:  91.3 KB

    Name:  5.png
Views: 1189
Size:  116.8 KB

    and also work in Sync

    I'm running LMS on piCoreplayer

    Logitech Media Server Version: 7.9.0 - 1488878280 @ Tue Mar 7 09:28:02 UTC 2017
    Hostname: MotherspiCorePlayer
    IP: 192.168.1.***
    HTTP Port: 9000
    OS: piCore - EN - utf8
    Platform: armv7l-linux
    Perl Version: 5.24.0 - arm-linux-gnueabihf-thread-multi-64int
    Audio::Scan: 0.95
    Database Version: DBD::SQLite 1.34_01 (sqlite 3.7.7.1)
    Total Players Recognized: 2
    so all good at the mo

    Well done MH

    ronnie
    Last edited by Man in a van; 2017-05-20 at 02:57.

  5. #25
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    19,781

    For the brave only: the Spotty Spotifyimplementation

    > I've now updated the OS and reinstalled LMS from scratch.
    > Interestingly, it still won't start. I'm still getting the message:


    What would the search path be as reported in Settings/Information?

    > pi@max2play:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux $ ./spotty


    What if you run from armhf-linux?

    --

    Michael

  6. #26
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    19,781

    For the brave only: the Spotty Spotifyimplementation

    > and the LMS connection gives me this

    You should only see Spotty listed in Spotify while the authorization
    process is running. During playback you shouldn't see it. Do you?

    --

    Michael

  7. #27
    Senior Member jeremy's Avatar
    Join Date
    Dec 2005
    Location
    Scotland
    Posts
    141
    Feeling brave this morning. It installed first time just as described and plays great so far on my Pi3/Raspbian/LMS7.91 system. Will report any snags here.

    Very many thanks Michael

    Jeremy
    RaspberryPi3 server running Raspbian & LMS 7.9, USB hard drive
    Lounge - Transporter with -10dB internal attenuation, Pi2 running Squeezelite, Linn LP12/Ekos/Troika, Naim NAC102, Linn Tunebox crossover, 4 x Naim NAP250 power amps, Linn Keltik active isobarik speakers
    Office - Squeezebox Boom
    Kitchen - Squeezebox Boom
    Sunroom - Squeezebox Boom
    Bedroom - Squeezebox Radio x2 plus another in en-suite
    Dining Room - SB3 & small computer speakers

  8. #28
    Senior Member
    Join Date
    Apr 2010
    Posts
    743
    Quote Originally Posted by expectingtofly View Post
    I've now updated the OS and reinstalled LMS from scratch. Interestingly, it still won't start. I'm still getting the message:
    Code:
    There has been a problem running the Spotty helper application. Most likely your operating system and/or platform is not supported. Please report the following details to me: Debian / armv7l-linux
    however there has been a step forward, I can start Spotty from the command line
    Code:
    pi@max2play:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux $ ./spotty
    spotty v0.5.0
    error: Required option 'name' missing.
    Usage: ./spotty [options]
    
    Options:
        -c, --cache CACHE   Path to a directory where files will be cached.
        -n, --name NAME     Device name
            --onstart PROGRAM
                            Run PROGRAM when playback is about to begin.
            --onstop PROGRAM
                            Run PROGRAM when playback has ended.
            --onchange PROGRAM
                            Run PROGRAM when playback changes (new track, seeking
                            etc.).
            --single-track ID
                            Play a single track ID and exit.
            --start-position STARTPOSITION
                            Position (in ms) where playback should be started.
                            Only valid with the --single-track option.
        -u, --username USERNAME
                            Username to sign in with
        -p, --password PASSWORD
                            Password
        -a, --authenticate  Authenticate given username and password. Make sure
                            you define a cache folder to store credentials.
            --disable-discovery
                            Disable discovery mode
        -t, --get-token     Get oauth token to be used with the web API etc.
            --client-id CLIENT_ID
                            A Spotify client_id to be used to get the oauth token.
                            Required with the --get-token request.
            --scope SCOPE   The scopes you want to have access to with the oauth
                            token.
        -x, --check         Run quick internal check
    ldd --version :
    Code:
    pi@max2play:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux $ ldd --version
    ldd (Debian GLIBC 2.19-18+deb8u6) 2.19
    Copyright (C) 2014 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    Written by Roland McGrath and Ulrich Drepper.
    uname -a :
    Code:
    pi@max2play:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux $ uname -a
    Linux max2play 4.4.41+ #942 Mon Jan 9 14:52:21 GMT 2017 armv6l GNU/Linux
    Let me know you would like me to investigate anything
    Hi expecting.. I'm also trying to use with max2play. Are you using an original pi B. I'm confused by the first message saying arm7 and the second (uname -a) showing arm6
    also when you updated the OS did you use a fresh max2play install with jessie?

    I'm trying to get the max2play devs interested and have opened a thread on max2play forum. Your input would be welcome obvs
    https://www.max2play.com/en/forums/t...fy-lms-plugin/

  9. #29
    Senior Member Max2Play's Avatar
    Join Date
    Oct 2016
    Posts
    110
    Shared in our forums: https://www.max2play.com/en/forums/t...fy-lms-plugin/

    We recommend using a current version of Max2Play based on Jessie lite in order to have version-specific issues minimized.

  10. #30
    Junior Member
    Join Date
    May 2009
    Posts
    18

    Really fantastic

    Thank you Michael, what a great effort and superb achievement. Works super swift and very well here

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •